Loading...
Searching...
No Matches
size_interpreter Struct Reference
Inheritance diagram for size_interpreter:

## Public Member Functions

| size_interpreter (ojph::size &val)
virtual void | operate (const char *str)

## Public Attributes

ojph::size & | val

## Detailed Description

Definition at line 166 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## size_interpreter()

size_interpreter::size_interpreter | ( | ojph::size & | val | ) |

inline

Definition at line 168 of file ojph_compress.cpp.

References val.

## Member Function Documentation

## operate()

virtual void size_interpreter::operate | ( | const char * | str | ) |

inline virtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 169 of file ojph_compress.cpp.

References val.

## Member Data Documentation

## val

ojph::size& size_interpreter::val

Definition at line 193 of file ojph_compress.cpp.

Referenced by operate(), and size_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/apps/ojph_compress/ojph_compress.cpp